package com.mvc.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class DicWaterTypeExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public DicWaterTypeExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andWaterTypeIsNull() {
            addCriterion("WATER_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andWaterTypeIsNotNull() {
            addCriterion("WATER_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andWaterTypeEqualTo(Integer value) {
            addCriterion("WATER_TYPE =", value, "waterType");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNotEqualTo(Integer value) {
            addCriterion("WATER_TYPE <>", value, "waterType");
            return (Criteria) this;
        }

        public Criteria andWaterTypeGreaterThan(Integer value) {
            addCriterion("WATER_TYPE >", value, "waterType");
            return (Criteria) this;
        }

        public Criteria andWaterTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("WATER_TYPE >=", value, "waterType");
            return (Criteria) this;
        }

        public Criteria andWaterTypeLessThan(Integer value) {
            addCriterion("WATER_TYPE <", value, "waterType");
            return (Criteria) this;
        }

        public Criteria andWaterTypeLessThanOrEqualTo(Integer value) {
            addCriterion("WATER_TYPE <=", value, "waterType");
            return (Criteria) this;
        }

        public Criteria andWaterTypeIn(List<Integer> values) {
            addCriterion("WATER_TYPE in", values, "waterType");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNotIn(List<Integer> values) {
            addCriterion("WATER_TYPE not in", values, "waterType");
            return (Criteria) this;
        }

        public Criteria andWaterTypeBetween(Integer value1, Integer value2) {
            addCriterion("WATER_TYPE between", value1, value2, "waterType");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("WATER_TYPE not between", value1, value2, "waterType");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNameIsNull() {
            addCriterion("WATER_TYPE_NAME is null");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNameIsNotNull() {
            addCriterion("WATER_TYPE_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNameEqualTo(String value) {
            addCriterion("WATER_TYPE_NAME =", value, "waterTypeName");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNameNotEqualTo(String value) {
            addCriterion("WATER_TYPE_NAME <>", value, "waterTypeName");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNameGreaterThan(String value) {
            addCriterion("WATER_TYPE_NAME >", value, "waterTypeName");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNameGreaterThanOrEqualTo(String value) {
            addCriterion("WATER_TYPE_NAME >=", value, "waterTypeName");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNameLessThan(String value) {
            addCriterion("WATER_TYPE_NAME <", value, "waterTypeName");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNameLessThanOrEqualTo(String value) {
            addCriterion("WATER_TYPE_NAME <=", value, "waterTypeName");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNameLike(String value) {
            addCriterion("WATER_TYPE_NAME like", value, "waterTypeName");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNameNotLike(String value) {
            addCriterion("WATER_TYPE_NAME not like", value, "waterTypeName");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNameIn(List<String> values) {
            addCriterion("WATER_TYPE_NAME in", values, "waterTypeName");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNameNotIn(List<String> values) {
            addCriterion("WATER_TYPE_NAME not in", values, "waterTypeName");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNameBetween(String value1, String value2) {
            addCriterion("WATER_TYPE_NAME between", value1, value2, "waterTypeName");
            return (Criteria) this;
        }

        public Criteria andWaterTypeNameNotBetween(String value1, String value2) {
            addCriterion("WATER_TYPE_NAME not between", value1, value2, "waterTypeName");
            return (Criteria) this;
        }

        public Criteria andPerCapitaStandardIsNull() {
            addCriterion("PER_CAPITA_STANDARD is null");
            return (Criteria) this;
        }

        public Criteria andPerCapitaStandardIsNotNull() {
            addCriterion("PER_CAPITA_STANDARD is not null");
            return (Criteria) this;
        }

        public Criteria andPerCapitaStandardEqualTo(BigDecimal value) {
            addCriterion("PER_CAPITA_STANDARD =", value, "perCapitaStandard");
            return (Criteria) this;
        }

        public Criteria andPerCapitaStandardNotEqualTo(BigDecimal value) {
            addCriterion("PER_CAPITA_STANDARD <>", value, "perCapitaStandard");
            return (Criteria) this;
        }

        public Criteria andPerCapitaStandardGreaterThan(BigDecimal value) {
            addCriterion("PER_CAPITA_STANDARD >", value, "perCapitaStandard");
            return (Criteria) this;
        }

        public Criteria andPerCapitaStandardGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("PER_CAPITA_STANDARD >=", value, "perCapitaStandard");
            return (Criteria) this;
        }

        public Criteria andPerCapitaStandardLessThan(BigDecimal value) {
            addCriterion("PER_CAPITA_STANDARD <", value, "perCapitaStandard");
            return (Criteria) this;
        }

        public Criteria andPerCapitaStandardLessThanOrEqualTo(BigDecimal value) {
            addCriterion("PER_CAPITA_STANDARD <=", value, "perCapitaStandard");
            return (Criteria) this;
        }

        public Criteria andPerCapitaStandardIn(List<BigDecimal> values) {
            addCriterion("PER_CAPITA_STANDARD in", values, "perCapitaStandard");
            return (Criteria) this;
        }

        public Criteria andPerCapitaStandardNotIn(List<BigDecimal> values) {
            addCriterion("PER_CAPITA_STANDARD not in", values, "perCapitaStandard");
            return (Criteria) this;
        }

        public Criteria andPerCapitaStandardBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("PER_CAPITA_STANDARD between", value1, value2, "perCapitaStandard");
            return (Criteria) this;
        }

        public Criteria andPerCapitaStandardNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("PER_CAPITA_STANDARD not between", value1, value2, "perCapitaStandard");
            return (Criteria) this;
        }

        public Criteria andUnitCodeIsNull() {
            addCriterion("UNIT_CODE is null");
            return (Criteria) this;
        }

        public Criteria andUnitCodeIsNotNull() {
            addCriterion("UNIT_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andUnitCodeEqualTo(String value) {
            addCriterion("UNIT_CODE =", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotEqualTo(String value) {
            addCriterion("UNIT_CODE <>", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeGreaterThan(String value) {
            addCriterion("UNIT_CODE >", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeGreaterThanOrEqualTo(String value) {
            addCriterion("UNIT_CODE >=", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeLessThan(String value) {
            addCriterion("UNIT_CODE <", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeLessThanOrEqualTo(String value) {
            addCriterion("UNIT_CODE <=", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeLike(String value) {
            addCriterion("UNIT_CODE like", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotLike(String value) {
            addCriterion("UNIT_CODE not like", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeIn(List<String> values) {
            addCriterion("UNIT_CODE in", values, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotIn(List<String> values) {
            addCriterion("UNIT_CODE not in", values, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeBetween(String value1, String value2) {
            addCriterion("UNIT_CODE between", value1, value2, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotBetween(String value1, String value2) {
            addCriterion("UNIT_CODE not between", value1, value2, "unitCode");
            return (Criteria) this;
        }

        public Criteria andPeopleNumIsNull() {
            addCriterion("PEOPLE_NUM is null");
            return (Criteria) this;
        }

        public Criteria andPeopleNumIsNotNull() {
            addCriterion("PEOPLE_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andPeopleNumEqualTo(Integer value) {
            addCriterion("PEOPLE_NUM =", value, "peopleNum");
            return (Criteria) this;
        }

        public Criteria andPeopleNumNotEqualTo(Integer value) {
            addCriterion("PEOPLE_NUM <>", value, "peopleNum");
            return (Criteria) this;
        }

        public Criteria andPeopleNumGreaterThan(Integer value) {
            addCriterion("PEOPLE_NUM >", value, "peopleNum");
            return (Criteria) this;
        }

        public Criteria andPeopleNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("PEOPLE_NUM >=", value, "peopleNum");
            return (Criteria) this;
        }

        public Criteria andPeopleNumLessThan(Integer value) {
            addCriterion("PEOPLE_NUM <", value, "peopleNum");
            return (Criteria) this;
        }

        public Criteria andPeopleNumLessThanOrEqualTo(Integer value) {
            addCriterion("PEOPLE_NUM <=", value, "peopleNum");
            return (Criteria) this;
        }

        public Criteria andPeopleNumIn(List<Integer> values) {
            addCriterion("PEOPLE_NUM in", values, "peopleNum");
            return (Criteria) this;
        }

        public Criteria andPeopleNumNotIn(List<Integer> values) {
            addCriterion("PEOPLE_NUM not in", values, "peopleNum");
            return (Criteria) this;
        }

        public Criteria andPeopleNumBetween(Integer value1, Integer value2) {
            addCriterion("PEOPLE_NUM between", value1, value2, "peopleNum");
            return (Criteria) this;
        }

        public Criteria andPeopleNumNotBetween(Integer value1, Integer value2) {
            addCriterion("PEOPLE_NUM not between", value1, value2, "peopleNum");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}